package ru.dbotthepony.mc.otm.mixin;

import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.crafting.Ingredient;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable;

@Mixin(Ingredient.class)
public abstract class IngredientMixin {
	@Inject(
		method = "getItems()[Lnet/minecraft/world/item/ItemStack;",
		at = @At("HEAD")
	)
	public void getItemsPatch(CallbackInfoReturnable<ItemStack[]> info) {
		((Ingredient) (Object) this).checkInvalidation();
	}
}
